Author Topic: 0.3.4.0l  (Read 6087 times)

0 Members and 1 Guest are viewing this topic.

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 481
  • Karma: +209/-22
  • PtokaX developer
0.3.4.0l
« on: 13 June, 2006, 04:58:19 »
New testing version...
1 ) With Lua 5.0.2.
2 ) With Lua 5.1.1.

Full online PtokaX changelog is available in Wiki.
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

PtokaX forum

0.3.4.0l
« on: 13 June, 2006, 04:58:19 »

Offline -SkA-

  • Double Ace
  • *
  • Posts: 133
  • Karma: +24/-2
Re: 0.3.4.0l
« Reply #1 on: 13 June, 2006, 07:01:03 »
Lua 5.1.1?

Will lua 5.1 script work?  ::)
???:::??x??em?-N????:::??? ?wN??

BrianzaLand Blog" style="border:0

Markitos

  • Guest
Re: 0.3.4.0l
« Reply #2 on: 13 June, 2006, 10:03:58 »
Lua 5.1.1?

Will lua 5.1 script work?  ::)
Its a new version of lua...see www.lua.org
Quote
Updated: Lua to 5.1.1 ...

Offline blackwings

  • Scripter
  • King
  • ******
  • Posts: 986
  • Karma: +12/-8
Re: 0.3.4.0l
« Reply #3 on: 13 June, 2006, 10:09:40 »
Lua 5.1.1?

Will lua 5.1 script work?  ::)
5.1.1 is a bugfix version of 5.1.


Offline Pothead

  • Lord
  • ***
  • Posts: 455
  • Karma: +25/-4
Re: 0.3.4.0l
« Reply #4 on: 13 June, 2006, 11:47:33 »
Guessing bluebears libs won't work though, as they may need recompiling with the new lua library. :'(
Did he make a "dummys guide" of how to make them libs ?

Offline Psycho_Chihuahua

  • Systemspecialist IT
  • Emperor
  • **
  • Posts: 1 054
  • Karma: +112/-1
  • I am wherever i want to be
    • PtokaX Luaboard
Re: 0.3.4.0l
« Reply #5 on: 13 June, 2006, 11:52:26 »
well InfoBot 1.6d still works on l1 and it also uses pxUtilities  ;D
PtokaxWiki ?PtokaX Mirror + latest Libs

01100001011011000111001101101111001000000110101101101110011011110111011101101110001000000110000101110011001000000101010001101111011010110110111101101100011011110111001101101000

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 481
  • Karma: +209/-22
  • PtokaX developer
Re: 0.3.4.0l
« Reply #6 on: 13 June, 2006, 15:52:18 »
Lua 5.1.1 is only bugfixed 5.1 version, and i am accidentaly used PtokaX compiled to use 5.1.1 version with old 5.1 and it works without problem... if working PtokaX then libs must work too  8)
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

Offline blackwings

  • Scripter
  • King
  • ******
  • Posts: 986
  • Karma: +12/-8
Re: 0.3.4.0l
« Reply #7 on: 13 June, 2006, 17:53:26 »
This version doesn't have the uptime fix right, becuase it isn't mentioned in the changelog?


Offline Thor

  • Scripter
  • Lord
  • ******
  • Posts: 290
  • Karma: +45/-5
    • Hungarian Direct Connect Site
Re: 0.3.4.0l
« Reply #8 on: 13 June, 2006, 19:48:27 »
Quote
...
Fixed: Crash on bad $SR returned to UDP.
Fixed: Uptime counter.
Fixed: Problem with ‘\0’ character in incoming data.
...
;D

Offline Pothead

  • Lord
  • ***
  • Posts: 455
  • Karma: +25/-4
Re: 0.3.4.0l
« Reply #9 on: 14 June, 2006, 01:46:55 »
Lua 5.1.1 is only bugfixed 5.1 version, and i am accidentaly used PtokaX compiled to use 5.1.1 version with old 5.1 and it works without problem... if working PtokaX then libs must work too  8)
Nice to know.  Thanks. :)

Offline blackwings

  • Scripter
  • King
  • ******
  • Posts: 986
  • Karma: +12/-8
Re: 0.3.4.0l
« Reply #10 on: 14 June, 2006, 02:58:41 »
Quote
...
Fixed: Crash on bad $SR returned to UDP.
Fixed: Uptime counter.
Fixed: Problem with ?\0? character in incoming data.
...
;D
right, I missed that, I was looking for the difference between the k and the l changelog,
but the k log also had the uptime bugfix entrence in it. :P


Offline 6Marilyn6Manson6

  • Scripter
  • King
  • ******
  • Posts: 869
  • Karma: +47/-35
    • http://www.marilynmanson986.altervista.org
Re: 0.3.4.0l
« Reply #11 on: 14 June, 2006, 09:35:38 »
Lua 5.1.1 is only bugfixed 5.1 version, and i am accidentaly used PtokaX compiled to use 5.1.1 version with old 5.1 and it works without problem... if working PtokaX then libs must work too? 8)

Nice dude :D

Offline blackwings

  • Scripter
  • King
  • ******
  • Posts: 986
  • Karma: +12/-8
Re: 0.3.4.0l
« Reply #12 on: 15 June, 2006, 17:18:36 »
PPK, do you think that the next stable release will come after this test release verrsion?


Offline Jorgo

  • Double Ace
  • *
  • Posts: 103
  • Karma: +6/-6
Re: 0.3.4.0l
« Reply #13 on: 25 June, 2006, 12:42:20 »
Been trying to download the latest dev-version ever since, but I always get
The requested URL /PtokaX/0.3.4.0l0.dbg.7z was not found on this server.

Offline Thor

  • Scripter
  • Lord
  • ******
  • Posts: 290
  • Karma: +45/-5
    • Hungarian Direct Connect Site
Re: 0.3.4.0l
« Reply #14 on: 25 June, 2006, 12:49:29 »
Check the PtokaX site ;D The PtokaX 0.3.5.0 version is out, so all debug version removed...

Offline Jorgo

  • Double Ace
  • *
  • Posts: 103
  • Karma: +6/-6
Re: 0.3.4.0l
« Reply #15 on: 25 June, 2006, 13:40:21 »
Even better! :-) I hope there's a lua 5.02 version...

Offline Rincewind

  • Scripter
  • Lord
  • ******
  • Posts: 403
  • Karma: +60/-7
    • Rincewind's Scripts
Re: 0.3.4.0l
« Reply #16 on: 25 June, 2006, 14:10:11 »
There are both Lua 5.0.2 and Lua 5.1.1 versions of PX 3.5.0 available

PtokaX forum

Re: 0.3.4.0l
« Reply #16 on: 25 June, 2006, 14:10:11 »